package com.bonus.canteen.core.pay.common.vo;

import java.math.BigDecimal;

public class RefundSelectVO {
   private Integer code;
   private String msg;
   private Long tradeChannelId;
   private String outTradeNo;
   private BigDecimal amount;
   private BigDecimal realAmount;

   public Integer getCode() {
      return this.code;
   }

   public String getMsg() {
      return this.msg;
   }

   public Long getTradeChannelId() {
      return this.tradeChannelId;
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public BigDecimal getRealAmount() {
      return this.realAmount;
   }

   public RefundSelectVO setCode(final Integer code) {
      this.code = code;
      return this;
   }

   public RefundSelectVO setMsg(final String msg) {
      this.msg = msg;
      return this;
   }

   public RefundSelectVO setTradeChannelId(final Long tradeChannelId) {
      this.tradeChannelId = tradeChannelId;
      return this;
   }

   public RefundSelectVO setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
      return this;
   }

   public RefundSelectVO setAmount(final BigDecimal amount) {
      this.amount = amount;
      return this;
   }

   public RefundSelectVO setRealAmount(final BigDecimal realAmount) {
      this.realAmount = realAmount;
      return this;
   }

}
